import { _decorator, Component, Label, Node } from 'cc';
import { userDataManager } from '../../manager/userDataManager';
import { Util } from '../../util';
const { ccclass, property } = _decorator;

@ccclass('home_bottom_countdown')
export class home_bottom_countdown extends Component {
    @property(Node) lab_countdown_time:Node = null
    private seconds:number = 0
    startTime(active_cb) {
        this.seconds = userDataManager.getUserFreeAdsSeconds()
        if(this.seconds<=0) {
            this.unscheduleAllCallbacks()
            this.node.active = false
            if(active_cb){ active_cb(false) }
            return
        }

        this.node.active = true
        if(active_cb){ active_cb(true) }
        this.lab_countdown_time.getComponent(Label).string = Util.formatTimeForSecond(this.seconds)
        this.unscheduleAllCallbacks()
        this.schedule(()=>{
            this.seconds --
            if(this.seconds<=0) {
                let free_ads_data = userDataManager.getUserFreeAdsData()
                free_ads_data.is_free = false
                free_ads_data.look_video_count = 0
                free_ads_data.is_look_video_infinite_count_reward = false
                userDataManager.saveUserFreeAdsData()
                this.unscheduleAllCallbacks()
                this.node.active = false
                if(active_cb){ active_cb(false) }
                return
            }
            this.lab_countdown_time.getComponent(Label).string = Util.formatTimeForSecond(this.seconds)
        },1)
    }
}

